Subject: UKTeX Digest V94 #45
From: [email-masked]
To: UKTeX Distribution: ;
Date: Fri, 02 Dec 1994 14:58:08 +0000

UKTeX Digest    Friday,  2 Dec 1994    Volume 94 : Issue 45

Today's Topics:
         problem: tex omits every other word in wrapped lines
                          LaTeX Installation
                        Re: LaTeX Installation

Administrivia:
    Moderators:     Peter Abbott (UK TeX Users Group) and
                    David Osborne (University of Nottingham)
    Contributions:  [email-masked]
    Subscription and unsubscription requests: [email-masked]
    (message body = "subscribe uktex" or "unsubscribe uktex", [no quotes])

----------------------------------------------------------------------

Date:    30 Nov 1994 21:13:06 +0000
From:    [email-masked] (Mike Jerger)
Subject: problem: tex omits every other word in wrapped lines

We have just installed TeX, Version 3.1415 (C version 6.1).  We are
running SunOS 4.1.3u1.  Everything is fine, except that in paragraphs
in which words are wrapped, the wrapped lines have every other word
omitted.  The space is there for the word, but the text itself is
missing.  For example:

How it should look:

This is a test paragraph.  This sentence will wrap and will be missing
words.  This sentence will be ok.

How is really looks:

This    a      paragraph.       sentence      wrap     will    missing
words.  This sentence will be ok.

Using dvitype, we have determined that an overflow is occuring (it
says so)....we had no problems compiling, so we have no clue where to
start looking for the problem.  

Here's how dvitype should look after the first word of the paragraph:

166: push
level 1:(h=0,v=1441792,w=0,x=0,y=786432,z=0,hh=0,vv=91)
167: right3 1310720 h:=0+1310720=1310720, hh:=83
171: setchar84 h:=1310720+473316=1784036, hh:=113
172: setchar104 h:=1784036+364090=2148126, hh:=136
173: setchar105 h:=2148126+182045=2330171, hh:=148
174: setchar115 h:=2330171+258503=2588674, hh:=164
175: w3 197495 h:=2588674+197495=2786169, hh:=176
179: setchar115 h:=2786169+258503=3044672, hh:=192
180: setchar104 h:=3044672+364090=3408762, hh:=215
181: setchar111 h:=3408762+327681=3736443, hh:=236
182: setchar117 h:=3736443+364090=4100533, hh:=259
183: setchar108 h:=4100533+182045=4282578, hh:=271
184: setchar100 h:=4282578+364090=4646668, hh:=294
185: w0 197495 h:=4646668+197495=4844163, hh:=307
186: setchar98 h:=4844163+364090=5208253, hh:=330
187: right2 18205 h:=5208253+18205=5226458, hh:=331

How it really looks (using the old version of dvitype):

166: push
level 1:(h=0,v=1441792,w=0,x=0,y=786432,z=0,hh=0,vv=91)
167: right3 1310720 h:=0+1310720=1310720, hh:=83
171: setchar84 h:=1310720+473316=1784036, hh:=113
172: setchar104 h:=1784036+364090=2148126, hh:=136
173: setchar105 h:=2148126+182045=2330171, hh:=148
174: setchar115 h:=2330171+258503=2588674, hh:=164
175: w4 -2147265195 h:=2588674-2147265195=-2144676521, hh:=-135845
warning: |h|>30785863!
180: setchar115 h:=-2144676521+258503=-2144418018, hh:=-135829
181: setchar104 h:=-2144418018+364090=-2144053928, hh:=-135806
182: setchar111 h:=-2144053928+327681=-2143726247, hh:=-135785
183: setchar117 h:=-2143726247+364090=-2143362157, hh:=-135762
184: setchar108 h:=-2143362157+182045=-2143180112, hh:=-135750
185: setchar100 h:=-2143180112+364090=-2142816022, hh:=-135727
186: w0 -2147265195 arithmetic overflow! parameter changed from
- -2147265195 to -4667625 h:=-2142816022-4667625=-2147483647,
hh:=-136021 warning: |h|>2144676521!
187: setchar98 h:=-2147483647+364090=-2147119557, hh:=-135998

I don't really know what these numbers mean, but the h: things
continue to be negative, yet words still keep appearing.  They return
to normal for the second sentence of the paragraph (which didn't
wrap).  Also, using the new dvitype, the hh: numbers alternate between
0 and -2147483648 throughout the entire file, and once the numbers get
screwed up, they remain so, even for the text that shows up correctly.

Any help at all is greatly appreciated.

Thanks!

- -- 
- -------------------------------------------------------------------------------
Mike Jerger, [email-masked]
System Administrator for the Cognitive Science Group, Beckman Institute
CCSO Site Consultant

------------------------------

Date:    02 Dec 1994 09:55:41 +0000
From:    [email-masked] (A.J. Williamson)
Subject: LaTeX Installation

I would like to create a completely new installation of Tex, Latex, dvips etc
on a DEC ALPHA.
Can somebody advise me where I can find the latest versions of these products
so I can download them.

Any suggestions gratefully recieved.

[email-masked]

------------------------------

Date:    02 Dec 1994 11:32:52 +0000
From:    [email-masked] (Robin Fairbairns)
Subject: Re: LaTeX Installation

In article <[email-masked]>,
A.J. Williamson <[email-masked]> wrote:
>I would like to create a completely new installation of Tex, Latex,
>dvips etc on a DEC ALPHA.  Can somebody advise me where I can find
>the latest versions of these products so I can download them.

You don't say which OS you're running.  If it's OSF/1, try the web2c
distribution; I know it's buildable from that (though I've never done
it, I just use it).  That'll get you the basic Knuthian system and the
utilities that go with it.  (If it's VMS, the distribution is *old*,
and I know nothing about TeX for NT.)

I would also recommend using dvipsk and xdvik to go with it, since
they use the same path-searching library.

For LaTeX, I would recommend going straight to 2e for a new
installation.  If you want to stick with the 2.09, you'll have to go
somewhere other than the archive (cus, which you posted from, stolidly
maintains several variously out-of-date versions, so you could try
there).  The minimum installation (imo) is the LaTeX base and the
tools.  A new release was due out yesterday, so perhaps by the time
you've got your executables built it'll be on the archive.

Locations on the archive (ftp.tex.ac.uk, another Cambridge site)

tex-archive/systems/web2c/
            dviware/xdvik/
                    dvipsk/
            macros/latex/base
                         tools
- --
Robin (Campaign for the Third Programme) Fairbairns  [email-masked]
U of Cambridge Computer Lab, Pembroke St, Cambridge  CB2 3QG, UK
Private page: http://www.cl.cam.ac.uk/users/rf/robin.html

------------------------------
                                        
                            UK TeX Archive
                         >>>  tex.ac.uk  <<<
         Part of the Comprehensive TeX Archive Network (CTAN)

                          tex.ac.uk -- mail
                           [[email-masked]]

                    ftp.tex.ac.uk -- anonymous ftp
        [username: anonymous, password: <your-e-mail-address>]

                  gopher.tex.ac.uk -- Gopher access

                www.tex.ac.uk -- World-Wide Web access
                [URL http://www.tex.ac.uk/tex-archive]

                     nfs.tex.ac.uk -- NFS access
               [nfs.tex.ac.uk:/public/ctan/tex-archive]

\section Files of Interest

    tex-archive/00Contents
    tex-archive/CTAN.sites
    tex-archive/FILES.bydate
    tex-archive/FILES.byname
    tex-archive/FILES.bysize
    tex-archive/MAP
    tex-archive/README.archive-features
    tex-archive/README.site-commands
    tex-archive/README.uploads

\section Digests

    This year's UKTeX back issues are stored in the archive in directory
      tex-archive/digests/uktex/94
    This year's TeXhax back issues are stored in the archive in directory
      tex-archive/digests/texhax/94
      Latest TeXhax: V94 #10

\section TeX Implementations for Small Computers

\subsection PC and Mac disks

    From January 1994 the UK TeX Users' Group is distributing an
    emTeX kit for PCs, and an OzTeX kit for Macintosh. The cost
    covers copying and postage costs, and the shareware fee for
    OzTeX.  Each set costs \pounds30, and is available from
    Peter Abbott, 1 Eymore Close, Selly Oak, Birmingham B29 4LB.
    Cheques must be payable to `UKTUG'. Please note that this
    service **is available to UKTUG members only.**

    Each set comes with an installation guide, and (at least)
    full TeX and Metafont, a previewer, a PostScript driver, and
    CM fonts. Two update disks a year will be sent out
    automatically, with the current version of LaTeXe, and other
    goodies. A subscription service will be available for
    subsequent years. In addition, subscribers can request up to
    3 disks a year with any material from the CTAN archives, but
    this will be supplied `as is', without instructions.

    OzTeX and emTeX are also available on disk from TeX Users Group;
    mail TUG for details.

\subsection TeX for the Atari ST

    Enquiries for TeX for the Atari ST etc. can be directed to:
    The Fast Club, 7 Musters Road, Nottingham NG2 7PP. Phone
    0602 455250, fax 0602 455305. They also supply a variety of
    TeX-related software in Atari format.

    Enquiries for disks etc. can also be directed to:
    The South West Software Library, P.O. Box 562, Wimborne, Dorset BH21 2YD
    Internet: [email-masked]

\section Postal Addresses

    Please include SELF-ADDRESSED ADHESIVE LABELS for return postage.

    Peter Abbott
    1 Eymore Close, Selly Oak, Birmingham B29 4LB
    Internet: [email-masked]

    TeX Users Group
    P.O. Box 869, Santa Barbara, CA 93102, USA.
    Internet: [email-masked]
    
\section UK TeX Users Group

    Details available from
    Jonathan Fine, 203 Coldhams Lane, Cambridge CB1 3HY, UK
    or from
    Internet: [email-masked]
    or from
    World-Wide Web server: http://www.tex.ac.uk/UKTUG/home.html

\bye

End of UKTeX Digest [Volume 94 Issue 45]
****************************************